#ifndef WIDGETFIND_H
#define WIDGETFIND_H

#include <QWidget>
#include <QTextDocument>

namespace Ui {
    class WidgetFind;
}

class WidgetFind : public QWidget {
    Q_OBJECT
public:
    WidgetFind(QWidget *parent = 0);
    ~WidgetFind();

public:
    QString getFindExpr() const;

    void setFindExpr(const QString &expr);
public slots:
    void show();

private slots:
    void onClose();
    void onChangedFindText(const QString &expr);

    void onPressedFindNext();
    void onPressedFindPrev();
    void onToggledHighlight(bool activate);

signals:
    void changedFindText(const QString &expr);
    void find();
    void find(const QString expr, QTextDocument::FindFlags flags);
    void findAll(const QString expr, QTextDocument::FindFlags flags); // find all ocurrances
    void toggledHighlight(bool active);

    void closing();

protected:
    void changeEvent(QEvent *e);
    void setSignals();

private:
    Ui::WidgetFind *ui;


};

#endif // WIDGETFIND_H
