/*
 * Copyright 2010 Mihai Niculescu <q.quark@gmail.com>
 *
 * This file is part of EqualX Project (https://launchpad.net/equalx/)
 *
 * EqualX is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * EqualX is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef WIDGETFRAMEPOPUP_H
#define WIDGETFRAMEPOPUP_H

#include <QFrame>

class QGridLayout;

class WidgetFramePopup : public QFrame
{
    Q_OBJECT

public: // methods
    WidgetFramePopup(QWidget * parent);

    void addWidget(QWidget *widget, int i, int j);
    bool isEmpty();
    void popup();


private: // Data Members
    QGridLayout *m_grid;

private slots:
    void hideMenu();

protected:
    virtual void enterEvent(QEvent *event);
    virtual void leaveEvent(QEvent *event);
};

#endif // WIDGETFRAMEPOPUP_H
