/*
 * Copyright 2010 Mihai Niculescu <q.quark@gmail.com>
 *
 * This file is part of EqualX Project (https://launchpad.net/equalx/)
 *
 * EqualX is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * EqualX is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __WIDGETTOOLMENU_H_
#define __WIDGETTOOLMENU_H_

#include <QFrame>
#include "ui_widgetToolMenu.h"

class QAction;
class QGridLayout;
class WidgetFramePopup;
class QToolButton;

class WidgetToolMenu : public QFrame, public Ui::WidgetToolMenu
{
    Q_OBJECT

public: // Methods
    WidgetToolMenu(QWidget * parent = 0);
    WidgetToolMenu(int nVisibleCols, int nVisibleRows = 1, QWidget * parent = 0);
    virtual ~WidgetToolMenu();

    virtual void addAction(QAction *action);
    virtual void addActions(QList<QAction*> actions);

    void setIconSize(const QSize &size);

public slots:
    void showMenu();


protected: // methods
    void init(int nrows, int ncols);
    void addButton(QWidget *button);

private: // data Members

    QGridLayout *m_gridFrame; // layout used in container widget

    WidgetFramePopup *m_frameMenu;
    QToolButton *m_buttonShowMenu;

    QSize m_iconSize;

    int m_numCols; // total number of visible columns shown by widget
    int m_numRows; // total number of visible rows shown by widget

    int m_curCol;
    int m_curRow;


protected:
    // virtual void mousePressEvent(QMouseEvent *event);

private slots:
    void actionTriggered(QAction*);
    void hideMenu();

signals:
    void triggered(QAction*);

};

#endif // WIDGETTOOLMENU_H
