#include "DialogPreferences.h"
#include <QFileDialog>


DialogPreferences::DialogPreferences(QWidget *parent)
    : QDialog(parent)
{
    setupUi(this);

    connect(browseDVIButton, SIGNAL(released()), this, SLOT(onBrowseDVIBin()) );
    connect(browsePNGButton, SIGNAL(released()), this, SLOT(onBrowsePNGBin()) );
    connect(browseGIFButton, SIGNAL(released()), this, SLOT(onBrowseGIFBin()) );
    connect(browsePDFButton, SIGNAL(released()), this, SLOT(onBrowsePDFBin()) );
    connect(browsePSButton, SIGNAL(released()), this, SLOT(onBrowsePSBin()) );

}

DialogPreferences::~DialogPreferences()
{

}

void DialogPreferences::onBrowseDVIBin()
{
    QString latexFilePath = QFileDialog::getOpenFileName(this,
                                                    tr("Select Executable (latex)"));

    if(!latexFilePath.isEmpty() )
        editDVI->setText(latexFilePath);

}

void DialogPreferences::onBrowsePNGBin()
{
    QString dviFilePath = QFileDialog::getOpenFileName(this,
                                                    tr("Select Executable (dvipng )"));
    if(!dviFilePath.isEmpty())
        editDVI->setText(dviFilePath);

}

void DialogPreferences::onBrowseGIFBin()
{
    QString filePath = QFileDialog::getOpenFileName(this,
                                                    tr("Select Executable (dvigif )"));
    if(!filePath.isEmpty())
        editGIF->setText(filePath);

}

void DialogPreferences::onBrowsePDFBin()
{
    QString filePath = QFileDialog::getOpenFileName(this,
                                                    tr("Select Executable (dvipdfm )"));
    if(!filePath.isEmpty())
        editPDF->setText(filePath);

}

void DialogPreferences::onBrowsePSBin()
{
    QString filePath = QFileDialog::getOpenFileName(this,
                                                    tr("Select Executable (dvips )"));
    if(!filePath.isEmpty())
        editPS->setText(filePath);

}
